Clipform
Dynamic Links

Update a dynamic link

Renames, attaches, repoints, or detaches (form_id null) a dynamic link, the primitive for swapping the destination behind a fixed printed URL.

PUT
/workspaces/{workspaceId}/dynamic-links/{publicId}

Authorization

bearerAuth
AuthorizationBearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

workspaceId*string
publicId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/dynamic-links/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "public_id": "string",  "name": "string",  "form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",  "form": {    "share_id": "string",    "title": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}